.top-header {
    background-color: var(--white);
    position: fixed;
    top: 0;
    width: 100%;
    padding: 0 2rem;
    transition: top 0.3s ease-in-out;
    z-index: var(--z-index);
}

.top-header img {
    width: 312px;
    cursor: pointer;
}

.top-header nav {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
}

.top-header nav ul {
    width: 100%;
    text-align: center;
    margin-bottom: 0 !important;
    padding-left: 0;
}

.top-header nav ul li {
    display: inline-block;
    margin: 10px 20px;
}

.top-header nav ul li:hover {
    scale: 1.05;
}

.top-header nav ul li a {
    color: var(--black);
}

.top-header nav ul li a:hover {
    color: var(--blue-light);
}

.top-header .button,
.dropdown-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    border: 0;
    outline: 0;
    border-radius: 15px;
    background: var(--blue-light);
    color: var(--white);
    font-weight: bold;
    cursor: pointer;
    transition: scale 0.2s ease;
}

.dropdown_menu li .dropdown-button {
    color: var(--white);
}

.top-header .header-mode {
    display: flex;
    align-items: center;
    justify-content: right;
}

.dropdown-button {
    width: 100%;
}

.top-header .button span,
.dropdown-button span {
    margin-right: 10px;
}

.top-header .button:hover,
.dropdown-button:hover {
    background: var(--black);
    color: var(--gold);
    scale: 1.05;
}

.top-header nav a:hover {
    scale: 1.05;
}

.top-header .toggle_button {
    color: var(--black);
    font-size: 1.5rem;
    cursor: pointer;
    display: none;
}

.top-header .button:active,
.dropdown-button:active {
    scale: 0.95;
}

.dropdown_menu {
    display: none;
    position: absolute;
    right: 2rem;
    top: 60px;
    height: 0;
    width: 300px;
    background: var(--gold);
    backdrop-filter: blur(15px);
    border-radius: 10px;
    overflow: hidden;
    transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.dropdown_menu.open {
    height: auto;
}

.dropdown_menu li {
    padding: 0.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dropdown_menu li a {
    color: var(--black);
}

.dropdown_menu li:active {
    background: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(15px);
}

.dropdown_menu li a:hover {
    color: var(--white);
}